com.fasterxml.jackson.databind.deser.impl

## Class JDKValueInstantiators

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.impl.JDKValueInstantiators

    public abstract class JDKValueInstantiators
    extends Object

Container for a set of `ValueInstantiator`s used for certain critical JDK value types, either as performance optimization for initialization time observed by profiling, or due to difficulty in otherwise finding constructors.

Since:
  2.10

### Constructor Summary

Constructors
Constructor and Description
`JDKValueInstantiators()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ValueInstantiator` `findStdValueInstantiator(DeserializationConfig config, Class<?> raw)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JDKValueInstantiators

    public JDKValueInstantiators()

### Method Detail

#### findStdValueInstantiator

    public static ValueInstantiator findStdValueInstantiator(DeserializationConfig config,
                                                             Class<?> raw)